#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAF,0xA5,0x3A,0x46,0xA6,0x87,0x6D,0x18,0x06,0xB0,0x25,0x42,
		0x8F,0x5B,0xA6,0x63,0xC2,0xDF,0x54,0xCD,0x56,0xEC,0x22,0xDF,
		0x33,0xFA,0xCA,0xD4,0x08,0xC6,0xB5,0x65,0x9A,0xBC,0xD4,0x46,
		0x40,0xB4,0x27,0xEE,0x0C,0x9D,0x73,0xDD,0xD7,0xC8,0x9D,0xE6,
		0x54,0xAF,0x04,0x4D,0x45,0x6E,0x24,0x65,0xFC,0x83,0xC6,0x71,
		0xF7,0xF6,0xB8,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
